# test BR: not yet in fedora
%global enable_tests 0
%global module_name decompress-response

Name:           nodejs-%{module_name}
Version:        3.3.0
Release:        4%{?dist}
Summary:        Decompress a HTTP response if needed

License:        MIT
URL:            https://github.com/sindresorhus/decompress-response
Source0:        https://github.com/sindresorhus/%{module_name}/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  nodejs-mimic-response

# upstream renamed unzip-response to decompress-response
Obsoletes:     nodejs-unzip-response <= 3.1.0-2
Provides:      nodejs-unzip-response = %{version}-%{release}

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(get-stream)
BuildRequires:  npm(pify)
BuildRequires:  npm(rfpify)
BuildRequires:  npm(xo)
%endif

%description
Decompress the response from http.request if it's gzipped/deflated, otherwise
just passes it through.

%prep
%autosetup -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
xo && ava
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 03 2017 Parag Nemade <pnemade AT redhat DOT com> - 3.3.0-1
- Update to 3.3.0 version

* Wed May 31 2017 Parag Nemade <pnemade AT redhat DOT com> - 3.2.0-1
- Upstream renamed to npm(decompress-response)
- Also, initial packaging for npm(decompress-response)

* Sun May 07 2017 Parag Nemade <pnemade AT redhat DOT com> - 3.1.0-1
- Update to 3.1.0 version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Sep 17 2016 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-1
- Update to 2.0.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

